<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="maximum-scale=1.0,minimum-scale=1.0,user-scalable=0,width=device-width,initial-scale=1.0"/>
    <meta name="format-detection" content="telephone=no,email=no,date=no,address=no">
    <title></title>
    <link rel="stylesheet" type="text/css" href="../../css/api.css">
    <link rel="stylesheet" type="text/css" href="../../css/style.css"/>
    <link rel="stylesheet" href="../../css/aui.css">
    <link rel="stylesheet" href="../../css/projeck.css">
    <style>
        body{
            background: #fff;
        }
        .nav_title{
            padding: 0 5px;
            background: #f3f6fa;
        }
        .nav_title li{
            text-align: center;
            font-size: 14px;
            padding: 12px 0 ;
        }
        .row_content{
            padding: 0 5px;
        }
        .row_content li{
            text-align: center;
            font-size: 13px;
            padding: 12px 0;
            align-items: center;
        }
    </style>
</head>
<body>
<div class="api_layout">
    <div class="row_contents">
        <ul class="row_content" id="row_content">

        </ul>
    </div>
</div>
<div class="noText hide" id="nocode">
  <img src="../../image/noText.png" alt="">
</div>
<script type="text/template" id="templateStatu">
    {{~it:value}}
      <li class="flex-wrap after-border relative {{=value.status}}">
          <span class="flex-con">{{=value.id}}</span>
          <span class="flex-con">{{=value.position}}</span>
          <span class="flex-con">{{=value.value}}{{=value.unit}}</span>
      </li>
    {{~}}
</script>
<script src="../../script/api.js"></script>
<!-- <script src="../../script/fastclick.min.js"></script> -->
<!-- <script src="../../script/aui-toast.js" charset="utf-8"></script> -->
<script src="../../script/doT.min.js"></script>
<script src="../../script/config.js"></script>
<script>
var title = "";
    var toast = new auiToast();
    apiready = function () {
      var statusType = api.pageParam.statusType;
      var type = api.pageParam.type;
        monitorStatusFun(statusType,type);
  }
  // 全部数据详情
  function monitorStatusFun(sType,type) {
    var data = {
      name:'',
      status:sType,
      type:type
    }
    toast.loading({
        title: "加载中",
        duration: 2000
    });
    $http.fnReuestDataNologing(UrlRouter.safetyDetaile,'','post',data,function(ret,err){
      toast.hide();
      if (ret.data.length == 0) {
          document.getElementById("nocode").style.display = 'block';
          return false;
      }else {
          document.getElementById("nocode").style.display = 'none';
      }
      if (ret && ret.code == 0) {
        if (ret.data.length > 0) {
          $apis.html(row_content,'#templateStatu',ret.data);
        } else {

        }
      }else {
        api.toast({
            msg: '网络请求超时,请稍后重试',
            duration: 2000,
            location: 'bottom'
        });
      }
    })
  }
</script>
</body>
</html>
